nimble version 0.11

12 views
Skip to first unread message

Jose Jimenez Garcia-Herrera

unread,
May 18, 2021, 2:45:05 PMMay 18
to nimble...@googlegroups.com

Dear Nimble Team,

 

After upgrade to 0.11 version, I found issues fitting some models, like the Dail-Madsen (see attached) from AHM book from Kéry & Royle, that are working fine in 0.10 version. Maybe the default sampler does not working? Or maybe the inits requirements are different?

 

Thank you,

Jose

 

 

--------

José Jiménez, Ph.D.

Unit of Ecology and Animal Science

Instituto de Investigación en Recursos Cinegéticos - IREC (CSIC-UCLM-JCCM)

University of Castilla la Mancha

Ronda de Toledo nº12, 13005 Ciudad Real, Spain

     Tel: +34 926 295 450 ext. 3388

      Fax: +34 926 295 451

https://www.researchgate.net/profile/Jose_Jimenez12

 

DailMadsenNimble.r

Daniel Turek

unread,
May 20, 2021, 11:34:33 AMMay 20
to Jose Jimenez Garcia-Herrera, nimble...@googlegroups.com
Jose, thanks for bringing this to our attention.

Unfortunately, I think you stumbled upon a calculation error in the newly added "posterior predictive branch" sampler, which was introduced in the most recent package release v0.11, to jointly update trailing branches consisting of entirely posterior predictive nodes.  The idea is, by jointly sampling these branches, improve the overall MCMC mixing.  Unfortunately, however, I believe we failed to put in a necessary call to model$calculate() in the new sampler.  This was leaving model node values "out of sync" with model log-probability values, which then caused inconsistencies and sampler failures later in the MCMC.

I've pushed a fix for this to a new branch on GitHub, called "fix_branch_sampler".  You can install this updated code from GitHub using:

remove.packages('nimble')
library(devtools)
install_github('nimble-dev/nimble', ref = 'fix_branch_sampler', subdir = 'packages/nimble')
library(nimble)


If you have a chance to install this, then please let us know if it works for you now.

Thanks,
Daniel




--
You received this message because you are subscribed to the Google Groups "nimble-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nimble-users...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/nimble-users/DB7PR01MB4266EA2B3A8F3D97B53F99C4922C9%40DB7PR01MB4266.eurprd01.prod.exchangelabs.com.

Jose Jimenez Garcia-Herrera

unread,
May 20, 2021, 12:14:26 PMMay 20
to db...@williams.edu, nimble...@googlegroups.com

Hi Daniel,

 

Thank you very much for your fast response. Your new (0.12) version is working fine.

 

Best regards

José

Reply all
Reply to author
Forward
0 new messages